from django.conf.urls import patterns, include, url
from django.contrib import admin
from django.conf import settings


admin.autodiscover()


urlpatterns = patterns('portail_citoyen2.views',
    url(r'^admin/', include(admin.site.urls)),
    url(r'^admin_tools/', include('admin_tools.urls')),
    url(r'^accounts/logout/$', 'logout', name='account_logout'),
    (r'^accounts/', include('allauth.urls')),
    url(r'^stats/$', 'stats'),
)

if settings.DEBUG:
    urlpatterns += patterns('',
        url(r'^media/(?P<path>.*)$', 'django.views.static.serve',
            {'document_root': settings.MEDIA_ROOT, 'show_indexes': True}),
    )

if 'cms_ajax_text_plugin' in settings.INSTALLED_APPS:
    urlpatterns += patterns('',
            url('^plugin/cms_ajax_text/', include('cms_ajax_text_plugin.urls')),
    )

urlpatterns += patterns('',
    url(r'^', include('cms.urls')),
)

